---------------------
PatchSet 6474 
Date: 2008/01/09 04:06:17
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
Build release notes with linuxdoc after last update.

Members: 
	doc/release-notes/release-3.1.html:1.1.2.2->1.1.2.3 
	doc/release-notes/release-3.1.man:1.1.2.2->1.1.2.3 
	doc/release-notes/release-3.1.sgml:1.1.2.3->1.1.2.4 

Index: squid3/doc/release-notes/release-3.1.html
===================================================================
RCS file: /cvsroot/squid-sf//squid3/doc/release-notes/release-3.1.html,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/doc/release-notes/release-3.1.html	16 Dec 2007 23:04:42 -0000	1.1.2.2
+++ squid3/doc/release-notes/release-3.1.html	9 Jan 2008 04:06:17 -0000	1.1.2.3
@@ -7,7 +7,7 @@
 <BODY>
 <H1>Squid 3.1.PRE1 release notes</H1>
 
-<H2>Squid Developers</H2>$Id: release-3.1.html,v 1.1.2.2 2007/12/16 23:04:42 amosjeffries Exp $
+<H2>Squid Developers</H2>$Id: release-3.1.html,v 1.1.2.3 2008/01/09 04:06:17 amosjeffries Exp $
 <HR>
 <EM>This document contains the release notes for version 3.1 of Squid.
 Squid is a WWW Cache application developed by the National Laboratory
@@ -50,7 +50,7 @@
 
 <H3>Internet Protocol version 6 (IPv6)</H3>
 
-<P>Squid 3.1 supports IPv6. To enable IPv6 support, use the --enable-ipv6 ./configure option</P>
+<P>Squid 3.1 supports IPv6. To enable IPv6 support, use the ./configure --enable-ipv6 option</P>
 
 <H3>New Features for IPv6</H3>
 
@@ -136,8 +136,7 @@
 <P>
 <DL>
 <DT><B>pinger_enable</B><DD>
-<P>New option to enable/disable the ICMP pinger helper with a reconfigure instead of a full rebuild.</P>
-<P>
+<P>New option to enable/disable the ICMP pinger helper with a reconfigure instead of a full rebuild.
 <PRE>
         Control whether the pinger is active at run-time.
         Enables turning ICMP pinger on and off with a simple squid -k reconfigure.
@@ -169,7 +168,6 @@
 </DL>
 </P>
 
-
 <H3><A NAME="modifiedtags"></A> Changes to existing tags</H3>
 
 <P>
@@ -186,7 +184,9 @@
 
 <DT><B>external_acl_type</B><DD>
 <P>New options 'ipv4' and 'ipv6' are added to set the IPv4/v6 protocol between squid and its helpers.
-Please be aware of some limits to these options. see IPv6 Limits in section 2 above.
+Please be aware of some limits to these options. These options only affet the transport protocol used
+to send data to and from the helpers. Squid in IPv6-mode may still send %SRC addresses in IPv4 or IPv6
+format, so all helpers will need to be checked and converted to cope with such information cleanly.
 <PRE>
           ipv4 / ipv6   IP-mode used to communicate to this helper.
                         For compatability with older configurations and helpers
@@ -284,7 +284,7 @@
 The default is to build with 127.0.0.1 and ::1 being considered seperate IP.
 see the IPv6 details above for a better description. </P>
 
-<DT><B>--with-ipv6-split-stack&lt;</B><DD>
+<DT><B>--with-ipv6-split-stack</B><DD>
 <P>Enable special additions for IPv6 support in Windows XP.
 see the IPv6 details above for a better description.</P>
 
@@ -292,6 +292,15 @@
 <P>Enable special additions for IPv6 support in Windows Vista.
 see the IPv6 details above for a better description.</P>
 
+<DT><B>--with-dns-cname</B><DD>
+<P>Enable CNAME recursion within the Internal DNS resolver stub squid uses.
+This has no effect on the external DNS helper.
+Please note this extension is still experimental and may encounter problems.
+To see if it is actually needed you can run squid without it for a period and
+check the CNAME-Only Requests statistics squid maintains.
+If it produces ongoing serious problems the external helper may be needed
+but please report the bugs anyway.</P>
+
 </DL>
 </P>
 <H3><A NAME="modifiedoptions"></A> Changes to existing options</H3>
Index: squid3/doc/release-notes/release-3.1.man
===================================================================
RCS file: /cvsroot/squid-sf//squid3/doc/release-notes/release-3.1.man,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/doc/release-notes/release-3.1.man	16 Dec 2007 23:04:42 -0000	1.1.2.2
+++ squid3/doc/release-notes/release-3.1.man	9 Jan 2008 04:06:17 -0000	1.1.2.3
@@ -1,4 +1,4 @@
-Squid 3.1.PRE1 release notesSquid Developers$Id: release-3.1.man,v 1.1.2.2 2007/12/16 23:04:42 amosjeffries Exp $This document contains the release notes for version 3.1 of Squid.
+Squid 3.1.PRE1 release notesSquid Developers$Id: release-3.1.man,v 1.1.2.3 2008/01/09 04:06:17 amosjeffries Exp $This document contains the release notes for version 3.1 of Squid.
 Squid is a WWW Cache application developed by the National Laboratory
 for Applied Network Research and members of the Web Caching community.Notice
 
@@ -45,7 +45,7 @@
 Internet Protocol version 6 (IPv6)
 
 .Pp
-Squid 3.1 supports IPv6. To enable IPv6 support, use the --enable-ipv6 ./configure option
+Squid 3.1 supports IPv6. To enable IPv6 support, use the ./configure --enable-ipv6 option
 .Pp
 New Features for IPv6
 
@@ -161,7 +161,6 @@
 .nr bi 1
 .Pp
 New option to enable/disable the ICMP pinger helper with a reconfigure instead of a full rebuild.
-.Pp
 .DS
 .sp 
 .ft RR
@@ -207,7 +206,6 @@
 .if \n(ll>1 .RE
 .nr ll -1
 .Pp
-.Pp
 Changes to existing tags
 
 .Pp
@@ -236,7 +234,9 @@
 .nr bi 1
 .Pp
 New options 'ipv4' and 'ipv6' are added to set the IPv4/v6 protocol between squid and its helpers.
-Please be aware of some limits to these options. see IPv6 Limits in section 2 above.
+Please be aware of some limits to these options. These options only affet the transport protocol used
+to send data to and from the helpers. Squid in IPv6-mode may still send %SRC addresses in IPv4 or IPv6
+format, so all helpers will need to be checked and converted to cope with such information cleanly.
 .DS
 .sp 
 .ft RR
@@ -367,7 +367,7 @@
 The default is to build with 127.0.0.1 and ::1 being considered seperate IP.
 see the IPv6 details above for a better description. 
 .Pp
-.IP "--with-ipv6-split-stack<"
+.IP "--with-ipv6-split-stack"
 .nr bi 1
 .Pp
 Enable special additions for IPv6 support in Windows XP.
@@ -379,6 +379,17 @@
 Enable special additions for IPv6 support in Windows Vista.
 see the IPv6 details above for a better description.
 .Pp
+.IP "--with-dns-cname"
+.nr bi 1
+.Pp
+Enable CNAME recursion within the Internal DNS resolver stub squid uses.
+This has no effect on the external DNS helper.
+Please note this extension is still experimental and may encounter problems.
+To see if it is actually needed you can run squid without it for a period and
+check the CNAME-Only Requests statistics squid maintains.
+If it produces ongoing serious problems the external helper may be needed
+but please report the bugs anyway.
+.Pp
 .if \n(ll>1 .RE
 .nr ll -1
 Changes to existing options
Index: squid3/doc/release-notes/release-3.1.sgml
===================================================================
RCS file: /cvsroot/squid-sf//squid3/doc/release-notes/release-3.1.sgml,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid3/doc/release-notes/release-3.1.sgml	9 Jan 2008 04:02:50 -0000	1.1.2.3
+++ squid3/doc/release-notes/release-3.1.sgml	9 Jan 2008 04:06:17 -0000	1.1.2.4
@@ -2,7 +2,7 @@
 <article>
 <title>Squid 3.1.PRE1 release notes</title>
 <author>Squid Developers</author>
-<date>$Id: release-3.1.sgml,v 1.1.2.3 2008/01/09 04:02:50 amosjeffries Exp $</date>
+<date>$Id: release-3.1.sgml,v 1.1.2.4 2008/01/09 04:06:17 amosjeffries Exp $</date>
 
 <abstract>
 This document contains the release notes for version 3.1 of Squid.
@@ -123,10 +123,10 @@
 
 
 <sect2>New tags<label id="newtags">
-
+<p>
 <descrip>
         <tag>pinger_enable</tag>
-        <p>New option to enable/disable the ICMP pinger helper with a reconfigure instead of a full rebuild.</p>
+        <p>New option to enable/disable the ICMP pinger helper with a reconfigure instead of a full rebuild.
         <verb>
         Control whether the pinger is active at run-time.
         Enables turning ICMP pinger on and off with a simple squid -k reconfigure.
@@ -153,7 +153,6 @@
         </verb>
 </descrip>
 
-
 <sect2>Changes to existing tags<label id="modifiedtags">
 <p>
 <descrip>
